1

With following versions installed:

OS X 10.11.4 Beta (15E27e)
Server.app 5.0.19(15s5065c)
Apache/2.4.16 (Unix)
OpenSSL/0.9.8zg

I get:

AH00526: Syntax error on line 581 of /Library/Server/Web/Config/apache2/httpd_server_app.conf: server.app "SSLProtocol: Illegal protocol 'TLSv1.2'"

The website, wiki and so on suddenly don't work. And I upgraded Server.app to 5.0.19(15s5065c). Not working. I deleted all files related to Server.app (including /Library/Server/) and reinstalled it. Not working.

How to fit it? Does the openssl version in Server.app cause it? I installed the openssl/1.1.0-pre2, but I don't know how to make it work with Server.app (openssl/1.1.0 is already working on my Mac).

1

This looks like a mismatch between the version of Server, where the apache config resides, and the version of apache which is delivered by the OS.

Look at the .conf files in /Library/Server/Web/Config/Proxy/ and replace any instances of TLSv1.2 with TLSv1.

You may also need to do that with some of the other config files included by those files.

That said, since both pieces look to be prerelease, you should review your seeding agreement, it may have info on a better place to ask this sort of question.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .